package com.sckw.transport.repository;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sckw.transport.dao.KwtParkingChangeStrategyMapper;
import com.sckw.transport.dao.KwtParkingStrategySwitchMapper;
import com.sckw.transport.model.KwtParkingChargeStrategy;
import com.sckw.transport.model.KwtParkingStrategySwitch;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author: 门卫车辆订单
 * @CreateTime: 2025-10-12
 * @Description:
 * @Version: 1.0
 */

@Repository
public class KwtParkingStrategySwitchRepository extends ServiceImpl<KwtParkingStrategySwitchMapper, KwtParkingStrategySwitch> {


    public KwtParkingStrategySwitch queryParkingStrategySwitch() {
        return getOne(
                Wrappers.<KwtParkingStrategySwitch>lambdaQuery()
                        .orderByDesc(KwtParkingStrategySwitch::getId)
                        .last("limit 1"));
    }

}